/* BT868_9.h
** written by Rudolf Cornelissen
** Email: rag.cornelissen@inter.nl.net
*/

typedef unsigned char byte;

int ReadBT_Field (int fd, riva_data_t *ddata);
int ReadType (int fd, int *Version, int *Type, riva_data_t *ddata);
int FindSaneBus (int fd, int bus0wired, int bus1wired,
	int *bus0valid, int *bus1valid, riva_data_t *ddata);
int FindBT (int fd, riva_data_t *ddata);
int ChkForBT (int fd, int Adres, riva_data_t *ddata);
int DoTestImage (int fd, riva_data_t *ddata);
int SetupBTforTVout (int fd, int OutMethod, int monstat,
										int OscanComp, riva_data_t *ddata);
int SetBT_Hphase (int fd, int mode, riva_data_t *ddata);
int InitBT_PAL640 (int fd, riva_data_t *ddata);
int InitBT_PAL800 (int fd, riva_data_t *ddata);
int InitBT_NTSC640 (int fd, riva_data_t *ddata);
int InitBT_NTSC800 (int fd, riva_data_t *ddata);
int InitBT_PAL720 (int fd, riva_data_t *ddata);
int InitBT_NTSC720 (int fd, riva_data_t *ddata);
int InitBT_PAL800_OS (int fd, riva_data_t *ddata);
int InitBT_NTSC640_OS (int fd, riva_data_t *ddata);
int ReadBT_ConnectStat (int fd, riva_data_t *ddata);
int KillClock_Blackout_BT (int fd, int type, riva_data_t *ddata);
