//Title: MK MediaPlayer Application Class
//Platform: BeOS 5
//Version: 2002.03.19
//Description:
//	The application class.
//	This class inherits from BApplication, and runs the application's message loop.
	
//Copyright (C) 2001, 2002 Kevin H. Patterson
//Available for use under the terms of the BSD license agreement:
//See the associated file "License.txt" for details.

#ifndef _clsApp_h
#define _clsApp_h
	
	#include <Application.h>
	
	#include "globals.h"
	#include "clsMainWindow.h"
	
	#define ApplicationSignature "application/x-vnd.generic-SkeletonApplication"
	
	class clsApp
	:
		public BApplication
	{
	public:
		clsApp();
		~clsApp();
		virtual void ReadyToRun();
		virtual void Pulse();
	private:
		clsMainWindow *iMainWindow;
	};
	
#endif
